Subject: Re: Re: bug#1490: 23.0.60; C-d sends "\n" while debugging with gdb in Emacs

From: [email-masked] (Nick Roberts)
Date: Thu, 16 Apr 2009 21:15:24 +1200

I can't begin to imagine where one would do something like:

  (gdb) set var retp = fgets(buf, 32, stdin)

in GDB.  If I do this from the command line I get:

  Program received signal SIGSEGV, Segmentation fault.
  0x00007ffff7852522 in fgets () from /lib/libc.so.6
  0x00007ffff7852522 <fgets+50>:	mov    (%rdx),%eax
  ...

I can get

  (gdb) set var reti = getchar()

to work as described.  The proposed patch might be the right thing to do but,
unless Joseph Yen can give a compelling reason as to why someone would
generally type something like this, I intend to leave it as it is until after
the release as I am unsure whether it will have unintended side effects.

-- 
Nick